await seam.accessCodes.pullBackupAccessCode({
access_code_id: "8e525b87-5e4b-48a5-a322-5d45262a735f",
});
/*
{
"access_code_id": "8e525b87-5e4b-48a5-a322-5d45262a735f",
"code": "1234",
"common_code_key": null,
"created_at": "2025-06-14T16:54:17.946242Z",
"device_id": "c9cd621d-ef0c-45c8-b608-026ebdb74615",
"ends_at": "2025-07-04T16:54:17.946049Z",
"errors": [],
"is_backup": false,
"is_backup_access_code_available": true,
"is_external_modification_allowed": false,
"is_managed": true,
"is_offline_access_code": false,
"is_one_time_use": false,
"is_scheduled_on_device": true,
"is_waiting_for_code_assignment": false,
"name": "My Access Code",
"pulled_backup_access_code_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"starts_at": "2025-07-02T16:54:17.946049Z",
"status": "unset",
"type": "time_bound",
"warnings": [],
"workspace_id": "750fc0bc-4450-4356-8d9f-18c6a3a6b2c7"
}
*/{
"access_code": {
"access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"common_code_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_backup_access_code_available": true,
"is_external_modification_allowed": true,
"is_managed": true,
"is_offline_access_code": true,
"is_one_time_use": true,
"name": "<string>",
"pending_mutations": [
{
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"mutation_code": "creating"
}
],
"status": "setting",
"type": "time_bound",
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dormakaba_oracode_metadata": {
"is_cancellable": true,
"is_early_checkin_able": true,
"is_extendable": true,
"is_overridable": true,
"site_name": "<string>",
"stay_id": 123,
"user_level_id": "<string>",
"user_level_name": "<string>"
},
"ends_at": "2023-11-07T05:31:56Z",
"is_backup": true,
"is_scheduled_on_device": true,
"is_waiting_for_code_assignment": true,
"pulled_backup_access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
}Access Codes
Pull a Backup Access Code
Retrieves a backup access code for an access code. Reference for POST /access_codes/pull_backup_access_code in the Seam API, with request and response details.
POST
/
access_codes
/
pull_backup_access_code
await seam.accessCodes.pullBackupAccessCode({
access_code_id: "8e525b87-5e4b-48a5-a322-5d45262a735f",
});
/*
{
"access_code_id": "8e525b87-5e4b-48a5-a322-5d45262a735f",
"code": "1234",
"common_code_key": null,
"created_at": "2025-06-14T16:54:17.946242Z",
"device_id": "c9cd621d-ef0c-45c8-b608-026ebdb74615",
"ends_at": "2025-07-04T16:54:17.946049Z",
"errors": [],
"is_backup": false,
"is_backup_access_code_available": true,
"is_external_modification_allowed": false,
"is_managed": true,
"is_offline_access_code": false,
"is_one_time_use": false,
"is_scheduled_on_device": true,
"is_waiting_for_code_assignment": false,
"name": "My Access Code",
"pulled_backup_access_code_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"starts_at": "2025-07-02T16:54:17.946049Z",
"status": "unset",
"type": "time_bound",
"warnings": [],
"workspace_id": "750fc0bc-4450-4356-8d9f-18c6a3a6b2c7"
}
*/{
"access_code": {
"access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"common_code_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_status": "<string>",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"is_backup_access_code_available": true,
"is_external_modification_allowed": true,
"is_managed": true,
"is_offline_access_code": true,
"is_one_time_use": true,
"name": "<string>",
"pending_mutations": [
{
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"mutation_code": "creating"
}
],
"status": "setting",
"type": "time_bound",
"warnings": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dormakaba_oracode_metadata": {
"is_cancellable": true,
"is_early_checkin_able": true,
"is_extendable": true,
"is_overridable": true,
"site_name": "<string>",
"stay_id": 123,
"user_level_id": "<string>",
"user_level_name": "<string>"
},
"ends_at": "2023-11-07T05:31:56Z",
"is_backup": true,
"is_scheduled_on_device": true,
"is_waiting_for_code_assignment": true,
"pulled_backup_access_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
}Retrieves a backup access code for an access code. See also Managing Backup Access Codes.
A backup access code pool is a collection of pre-programmed access codes stored on a device, ready for use. These codes are programmed in addition to the regular access codes on Seam, serving as a safety net for any issues with the primary codes. If there’s ever a complication with a primary access code—be it due to intermittent connectivity, manual removal from a device, or provider outages—a backup code can be retrieved. Its end time can then be adjusted to align with the original code, facilitating seamless and uninterrupted access.
You can pull a backup access code from the pool at any time. These backup codes are guaranteed to work immediately and automatically programmed to be removed from the device after the access code ends.
You can only pull backup access codes for time-bound access codes.
Before pulling a backup access code, make sure that the device’s
properties.supports_backup_access_code_pool is true. Then, to activate the backup pool, set use_backup_access_code_pool to true when creating an access code.Authorizations
client_sessionclient_session_with_customerpat_with_workspaceconsole_session_with_workspaceapi_key
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID of the access code for which you want to pull a backup access code.
Response
OK
Represents a smart lock access code. See the access_code object.
Show child attributes
Show child attributes
Was this page helpful?